package it.integry.integrywmsnative.core.model.secondary;

public enum StatoPartitaMag {

    SCADUTO(1),
    IN_SCADENZA(2),
    NON_IN_SCADENZA(3),
    DISATTIVO(4);

    private final int text;

    StatoPartitaMag(int text) {
        this.text = text;
    }

    public int getText() {
        return this.text;
    }

    public static StatoPartitaMag from(int text) {
        for (StatoPartitaMag b : StatoPartitaMag.values()) {
            if (b.text == text) return b;
        }
        return null;
    }

}
